#!/bin/sh
export PATH='/usr/local/sbin:/usr/local/bin:/usr/bin:/usr/bin/site_perl:/usr/bin/vendor_perl:/usr/bin/core_perl'
echo 'name:                 hledger-lib
version:              1.31
visibility:           public
id:                   hledger-lib-1.31-IAhyHk9kw3225Ia8ar7Di8
key:                  hledger-lib-1.31-IAhyHk9kw3225Ia8ar7Di8
license:              GPL-3.0-only
maintainer:           Simon Michael <simon@joyful.com>
author:               Simon Michael <simon@joyful.com>
stability:            stable
homepage:             http://hledger.org
synopsis:
    A reusable library providing the core functionality of hledger

description:
    A reusable library containing hledger'\''s core functionality.
    This is used by most hledger* packages so that they support the same
    common file formats, command line options, reports etc.

    hledger is a robust, cross-platform set of tools for tracking money,
    time, or any other commodity, using double-entry accounting and a
    simple, editable file format, with command-line, terminal and web
    interfaces. It is a Haskell rewrite of Ledger, and one of the leading
    implementations of Plain Text Accounting. Read more at:
    <https://hledger.org>

category:             Finance
abi:                  a980f21f6663c7a13b8f9df43b7ce36e
exposed:              True
exposed-modules:
    Hledger Hledger.Data Hledger.Data.Account Hledger.Data.AccountName
    Hledger.Data.Amount Hledger.Data.Balancing Hledger.Data.Dates
    Hledger.Data.Errors Hledger.Data.Journal Hledger.Data.JournalChecks
    Hledger.Data.JournalChecks.Ordereddates
    Hledger.Data.JournalChecks.Uniqueleafnames Hledger.Data.Json
    Hledger.Data.Ledger Hledger.Data.Period
    Hledger.Data.PeriodicTransaction Hledger.Data.Posting
    Hledger.Data.RawOptions Hledger.Data.StringFormat
    Hledger.Data.Timeclock Hledger.Data.Transaction
    Hledger.Data.TransactionModifier Hledger.Data.Types
    Hledger.Data.Valuation Hledger.Query Hledger.Read
    Hledger.Read.Common Hledger.Read.CsvReader Hledger.Read.CsvUtils
    Hledger.Read.InputOptions Hledger.Read.JournalReader
    Hledger.Read.RulesReader Hledger.Read.TimeclockReader
    Hledger.Read.TimedotReader Hledger.Reports
    Hledger.Reports.AccountTransactionsReport
    Hledger.Reports.BalanceReport Hledger.Reports.BudgetReport
    Hledger.Reports.EntriesReport Hledger.Reports.MultiBalanceReport
    Hledger.Reports.PostingsReport Hledger.Reports.ReportOptions
    Hledger.Reports.ReportTypes Hledger.Utils Hledger.Utils.Debug
    Hledger.Utils.IO Hledger.Utils.Parse Hledger.Utils.Regex
    Hledger.Utils.String Hledger.Utils.Test Hledger.Utils.Text
    Text.Tabular.AsciiWide

hidden-modules:
    Text.Megaparsec.Custom Text.WideString Paths_hledger_lib

import-dirs:          /usr/lib/ghc-9.0.2/site-local/hledger-lib-1.31
library-dirs:         /usr/lib/ghc-9.0.2/site-local/hledger-lib-1.31
dynamic-library-dirs: /usr/lib
data-dir:             /usr/share/haskell-hledger-lib
hs-libraries:         HShledger-lib-1.31-IAhyHk9kw3225Ia8ar7Di8
depends:
    Decimal-0.5.2-9mfb6IUVIyvJuUqX3Cx0Jk
    Glob-0.10.2-GOl2u6nbtf52CGpbJCOCg2
    aeson-2.1.2.1-5LFbz27UeRc2IE39j8tZaA
    aeson-pretty-0.8.9-KttgQ8rXKmEDcWqxIwOqe1
    ansi-terminal-0.11.4-Dutlyt45T6tOYdV5l6KuI array-0.5.4.0
    base-4.15.1.0 base-compat-0.12.2-l1EqrM7Qwu6Pq9d4drKFu
    blaze-markup-0.8.2.8-JRC9unZqpVqKtBu8ubLlA0 bytestring-0.10.12.1
    call-stack-0.4.0-K0j0Wm9JLlELLrdg7A3QNN
    cassava-0.5.3.0-5FEnuzkHVIK1sU5u5LU6w6
    cassava-megaparsec-2.1.0-Fv7U1QKpsvl79qTNkYHyR0
    cmdargs-0.10.22-LMGehiIpWZC4X4EZqKH5Yu
    colour-2.3.6-ArK1BNt5WERLnLQiG7NhDZ containers-0.6.4.1
    data-default-0.7.1.1-4W3DdpWCDdz1ZSimKMWhuv deepseq-1.4.5.0
    directory-1.3.6.2 doclayout-0.4.0.1-4SE6V4Ltt4VDQVT3l5Uwqp
    extra-1.7.14-E0Vd3mK76yeChjxyVVp3Nf
    file-embed-0.0.15.0-FF5xUPWKaB3GI64c6hgPnn filepath-1.4.2.1
    hashtables-1.3.1-FisQO9UCnM3ELoBu0oQW8T
    megaparsec-9.5.0-89dsU4g24QaJMgENlWCp7T
    microlens-0.4.13.1-AoR6D5midYZB5ErWoiySs4
    microlens-th-0.4.3.14-AKNvIwdJVYaDQVlM4liVo5 mtl-2.2.2
    pager-0.1.1.0-IRnuwwLSyFnGuP4LVxqa4M
    parser-combinators-1.3.0-FL5bcA6sX4a2ejs4tDtkjB
    pretty-simple-4.1.2.0-LUDb03mwExxGCPqb3WkEi7
    regex-tdfa-1.3.2.2-5UNDvXl4NG5G4DpS8dC39P
    safe-0.3.19-2aVM1fCfxX88jnlVeNbd8Q
    tabular-0.2.2.8-3mznlUNrnmF8EH6LDY9YkX
    tasty-1.4.3-IhB53OZ3YrY7KcLf5aIyzi
    tasty-hunit-0.10.1-2D3wHEIwhWy1fN4gBxk7Ok template-haskell-2.17.0.0
    terminal-size-0.3.4-35v8zhylKTKAMnavZT32Cm text-1.2.5.0
    text-ansi-0.2.1.1-2guRCk9nzrh54U2aavY25v time-1.9.3
    timeit-2.0-13BYXbUXu2MJzbvDZuPEww transformers-0.5.6.2
    uglymemo-0.1.0.1-K7bsHpbExS57pk9A4akql7
    unordered-containers-0.2.19.1-UA49xtzCSp2PJ1xuqchgw
    utf8-string-1.0.2-9jFXZk0EqfsBxvU8fTDgk3

haddock-interfaces:   /usr/share/doc/haskell-hledger-lib/html/hledger-lib.haddock
haddock-html:         /usr/share/doc/haskell-hledger-lib/html
' | '/usr/bin/ghc-pkg' 'update' '--force' '-' '--global' '--no-user-package-db' "$@"

